.\"	$NetBSD: quota.1,v 1.13 2003/02/25 10:35:51 wiz Exp $
.\"
.\" Copyright (c) 1983, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" Robert Elz at The University of Melbourne.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	from: @(#)quota.1	8.1 (Berkeley) 6/6/93
.\"
.Dd June 6, 1993
.Dt QUOTA 1
.Os
.Sh NAME
.Nm quota
.Nd display disk usage and limits
.Sh SYNOPSIS
.Nm
.Op Fl g
.Op Fl u
.Op Fl v | Fl q
.Nm
.Op Fl u
.Op Fl v | Fl q
.Ar user
.Nm
.Op Fl g
.Op Fl v | Fl q
.Ar group
.Sh DESCRIPTION
.Nm
displays users' disk usage and limits.
By default only the user quotas are printed.
.Pp
Options:
.Pp
.Bl -tag -width Ds
.It Fl g
Print group quotas for the group
of which the user is a member.
The optional
.Fl u
flag is equivalent to the default.
.It Fl v
.Nm
will display quotas on filesystems
where no storage is allocated.
.It Fl q
Print a more terse message,
containing only information
on filesystems where usage is over quota.
.El
.Pp
Specifying both
.Fl g
and
.Fl u
displays both the user quotas and the group quotas (for
the user).
.Pp
Only the super-user may use the
.Fl u
flag and the optional
.Ar user
argument to view the limits of other users.
Non-super-users can use the
.Fl g
flag and optional
.Ar group
argument to view only the limits of groups of which they are members.
.Pp
The
.Fl q
flag takes precedence over the
.Fl v
flag.
.Pp
.Nm
tries to report the quotas of all mounted filesystems.
If the filesystem is mounted via
.Em NFS
it will attempt to contact the
.Xr rpc.rquotad 8
daemon on the
.Em NFS
server.
For
.Em FFS
filesystems, quotas must be turned on in
.Pa /etc/fstab .
If
.Nm
exits with a non-zero status, one or more filesystems
are over quota.
.Sh FILES
.Bl -tag -width quota.group -compact
.It Pa quota.user
located at the filesystem root with user quotas
.It Pa quota.group
located at the filesystem root with group quotas
.It Pa /etc/fstab
to find filesystem names and locations
.El
.Sh SEE ALSO
.Xr quotactl 2 ,
.Xr fstab 5 ,
.Xr edquota 8 ,
.Xr quotacheck 8 ,
.Xr quotaon 8 ,
.Xr repquota 8 ,
.Xr rpc.rquotad 8
.Sh HISTORY
The
.Nm
command appeared in
.Bx 4.2 .
